package com.steering.mes.zgmil.entity;

/**
 * 数据库表MIL_REFUR_RESULT所对应的实体类（生成工具：代码生成器2.4）
 * @author DM22222   date 2015-07-27
 */
public class MilRefurResultEntity {
    /**
     * 开轧温度
     */
    private String beginRollingTemp;
	 /**
     * 剔除原因
     */
    private String scrapReason;
    /**
     * 交接班支数
     */
    private String changeclassnum;
    /**
     * 烧损率
     */
    private String burningrate;
    /**
     * 出炉支数
     */
    private String outFurNum;
    /**
     * 实绩编号
     */
    private String resultNo;
    /**
     * 生产批号
     */
    private String lotNo;
    /**
     * 熔炼炉号
     */
    private String stoveNo;
    /**
     * 判定炉号
     */
    private String judgeStoveNo;
    /**
     * 厂线代码
     */
    private String plineCode;
    /**
     * 工艺路线
     */
    private String processRoute;
    /**
     * 入炉时间
     */
    private String inFurTime;
    /**
     * 出炉时间
     */
    private String outFurTime;
    /**
     * 步进梁节奏
     */
    private String steppingRhythm;
    /**
     * 移送链节奏
     */
    private String transferRhythm;
    /**
     * 第一支入炉温度
     */
    private String firstInTemp;
    /**
     * 最后一支入炉温度
     */
    private String lastInTemp;
    /**
     * 第一支出炉温度
     */
    private String firstOutTemp;
    /**
     * 最后一支出炉温度
     */
    private String lastOutTemp;
    /**
     * 第一支入炉时间
     */
    private String firstInTime;
    /**
     * 最后一支入炉时间
     */
    private String lastInTime;
    /**
     * 第一支出炉时间
     */
    private String firstOutTime;
    /**
     * 最后一支出炉时间
     */
    private String lastOutTime;
    /**
     * 炉温设定
     */
    private String setFurTemp;
    /**
     * 入炉支数
     */
    private String inFurNum;
    /**
     * 剔除支数
     */
    private String scrapNum;
    /**
     * 炉内加一段实际温度
     */
    private String lheatCruve1;
    /**
     * 炉内加二段实际温度
     */
    private String lheatCruve2;
    /**
     * 炉内加三段实际温度
     */
    private String lheatCruve3;
    /**
     * 炉内加四段实际温度
     */
    private String lheatCruve4;
    /**
     * 炉内加五段实际温度
     */
    private String lheatCruve5;
    /**
     * 炉内加六段实际温度
     */
    private String lheatCruve6;
    /**
     * 炉内加七段实际温度
     */
    private String lheatCruve7;
    /**
     * 炉内加八段实际温度
     */
    private String lheatCruve8;
    /**
     * 荒管实际长度
     */
    private String actualLengthOfWastePipe;
    /**
     * 残氧量
     */
    private String residualOxygen;
    /**
     * 炉压
     */
    private String furPress;
    /**
     * 风压
     */
    private String windPress;
    /**
     * 天然气压力
     */
    private String gasPress;
    /**
     * 开始时间
     */
    private String startTime;
    /**
     * 结束时间
     */
    private String endTime;
    /**
     * 监制人
     */
    private String executiveProducer;
    /**
     * 监制时间
     */
    private String producerTime;
    /**
     * 监制人电话
     */
    private String producerTel;
    /**
     * 结炉标识
     */
    private String nodeFurFlag;
    /**
     * 备注
     */
    private String remark;
    /**
     * 采集方式(0-接口采集，1-人工录入)
     */
    private String colMode;
    /**
     * 采集/录入时间
     */
    private String colTime;
    /**
     * 操作人
     */
    private String colUser;
    /**
     * 操作班次
     */
    private String colShift;
    /**
     * 操作班组
     */
    private String colGroup;
    
    /**
     * userId
     */
    private String userId;
    
    public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	/**
     * 合格吨
     */
    private String qaTon;

    public String getQaTon() {
		return qaTon;
	}

	public void setQaTon(String qaTon) {
		this.qaTon = qaTon;
	}
	
	/**
     * 轧管订单编号
     */
    private String proPlanId;
    
    /**
     * 工序排产序号
     */
    private String gxPlanNo;
    
    
    public MilRefurResultEntity(){
    	proPlanId = "";
		gxPlanNo = "";
    	userId = "";
    	scrapReason = "";
        changeclassnum = "";
        burningrate = "";
        outFurNum = "";
        resultNo = "";
        lotNo = "";
        stoveNo = "";
        judgeStoveNo = "";
        plineCode = "";
        processRoute = "";
        inFurTime = "";
        outFurTime = "";
        steppingRhythm = "";
        transferRhythm = "";
        firstInTemp = "";
        lastInTemp = "";
        firstOutTemp = "";
        lastOutTemp = "";
        firstInTime = "";
        lastInTime = "";
        firstOutTime = "";
        lastOutTime = "";
        setFurTemp = "";
        inFurNum = "";
        scrapNum = "";
        lheatCruve1 = "";
        lheatCruve2 = "";
        lheatCruve3 = "";
        lheatCruve4 = "";
        lheatCruve5 = "";
        lheatCruve6 = "";
        lheatCruve7 = "";
        lheatCruve8 = "";
        actualLengthOfWastePipe = "";
        residualOxygen = "";
        furPress = "";
        windPress = "";
        gasPress = "";
        startTime = "";
        endTime = "";
        executiveProducer = "";
        producerTime = "";
        producerTel = "";
        nodeFurFlag = "";
        remark = "";
        colMode = "";
        colTime = "";
        colUser = "";
        colShift = "";
        colGroup = "";
        beginRollingTemp = "";
        qaTon = "";
    }
    /**
     * 开轧温度
     * @return value
     */
    public String getBeginRollingTemp() {
        return beginRollingTemp;
    }

    /**
     * 开轧温度
     * @param beginRollingTemp value
     */
    public void setBeginRollingTemp(String beginRollingTemp) {
        this.beginRollingTemp = beginRollingTemp;
    }
    /**
     * 剔除原因
     * @return value
     */
    public String getScrapReason() {
        return scrapReason;
    }

    /**
     * 剔除原因
     * @param scrapReason value
     */
    public void setScrapReason(String scrapReason) {
        this.scrapReason = scrapReason;
    }
    
    /**
     * 交接班支数
     * @return value
     */
    public String getChangeclassnum() {
        return changeclassnum;
    }

    /**
     * 交接班支数
     * @param changeclassnum value
     */
    public void setChangeclassnum(String changeclassnum) {
        this.changeclassnum = changeclassnum;
    }

    /**
     * 烧损率
     * @return value
     */
    public String getBurningrate() {
        return burningrate;
    }

    /**
     * 烧损率
     * @param burningrate value
     */
    public void setBurningrate(String burningrate) {
        this.burningrate = burningrate;
    }

    /**
     * 出炉支数
     * @return value
     */
    public String getOutFurNum() {
        return outFurNum;
    }

    /**
     * 出炉支数
     * @param outFurNum value
     */
    public void setOutFurNum(String outFurNum) {
        this.outFurNum = outFurNum;
    }

    /**
     * 实绩编号
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 生产批号
     * @return value
     */
    public String getLotNo() {
        return lotNo;
    }

    /**
     * 生产批号
     * @param lotNo value
     */
    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    /**
     * 熔炼炉号
     * @return value
     */
    public String getStoveNo() {
        return stoveNo;
    }

    /**
     * 熔炼炉号
     * @param stoveNo value
     */
    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 厂线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 厂线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 工艺路线
     * @return value
     */
    public String getProcessRoute() {
        return processRoute;
    }

    /**
     * 工艺路线
     * @param processRoute value
     */
    public void setProcessRoute(String processRoute) {
        this.processRoute = processRoute;
    }

    /**
     * 入炉时间
     * @return value
     */
    public String getInFurTime() {
        return inFurTime;
    }

    /**
     * 入炉时间
     * @param inFurTime value
     */
    public void setInFurTime(String inFurTime) {
        this.inFurTime = inFurTime;
    }

    /**
     * 出炉时间
     * @return value
     */
    public String getOutFurTime() {
        return outFurTime;
    }

    /**
     * 出炉时间
     * @param outFurTime value
     */
    public void setOutFurTime(String outFurTime) {
        this.outFurTime = outFurTime;
    }

    /**
     * 步进梁节奏
     * @return value
     */
    public String getSteppingRhythm() {
        return steppingRhythm;
    }

    /**
     * 步进梁节奏
     * @param steppingRhythm value
     */
    public void setSteppingRhythm(String steppingRhythm) {
        this.steppingRhythm = steppingRhythm;
    }

    /**
     * 移送链节奏
     * @return value
     */
    public String getTransferRhythm() {
        return transferRhythm;
    }

    /**
     * 移送链节奏
     * @param transferRhythm value
     */
    public void setTransferRhythm(String transferRhythm) {
        this.transferRhythm = transferRhythm;
    }

    /**
     * 第一支入炉温度
     * @return value
     */
    public String getFirstInTemp() {
        return firstInTemp;
    }

    /**
     * 第一支入炉温度
     * @param firstInTemp value
     */
    public void setFirstInTemp(String firstInTemp) {
        this.firstInTemp = firstInTemp;
    }

    /**
     * 最后一支入炉温度
     * @return value
     */
    public String getLastInTemp() {
        return lastInTemp;
    }

    /**
     * 最后一支入炉温度
     * @param lastInTemp value
     */
    public void setLastInTemp(String lastInTemp) {
        this.lastInTemp = lastInTemp;
    }

    /**
     * 第一支出炉温度
     * @return value
     */
    public String getFirstOutTemp() {
        return firstOutTemp;
    }

    /**
     * 第一支出炉温度
     * @param firstOutTemp value
     */
    public void setFirstOutTemp(String firstOutTemp) {
        this.firstOutTemp = firstOutTemp;
    }

    /**
     * 最后一支出炉温度
     * @return value
     */
    public String getLastOutTemp() {
        return lastOutTemp;
    }

    /**
     * 最后一支出炉温度
     * @param lastOutTemp value
     */
    public void setLastOutTemp(String lastOutTemp) {
        this.lastOutTemp = lastOutTemp;
    }

    /**
     * 第一支入炉时间
     * @return value
     */
    public String getFirstInTime() {
        return firstInTime;
    }

    /**
     * 第一支入炉时间
     * @param firstInTime value
     */
    public void setFirstInTime(String firstInTime) {
        this.firstInTime = firstInTime;
    }

    /**
     * 最后一支入炉时间
     * @return value
     */
    public String getLastInTime() {
        return lastInTime;
    }

    /**
     * 最后一支入炉时间
     * @param lastInTime value
     */
    public void setLastInTime(String lastInTime) {
        this.lastInTime = lastInTime;
    }

    /**
     * 第一支出炉时间
     * @return value
     */
    public String getFirstOutTime() {
        return firstOutTime;
    }

    /**
     * 第一支出炉时间
     * @param firstOutTime value
     */
    public void setFirstOutTime(String firstOutTime) {
        this.firstOutTime = firstOutTime;
    }

    /**
     * 最后一支出炉时间
     * @return value
     */
    public String getLastOutTime() {
        return lastOutTime;
    }

    /**
     * 最后一支出炉时间
     * @param lastOutTime value
     */
    public void setLastOutTime(String lastOutTime) {
        this.lastOutTime = lastOutTime;
    }

    /**
     * 炉温设定
     * @return value
     */
    public String getSetFurTemp() {
        return setFurTemp;
    }

    /**
     * 炉温设定
     * @param setFurTemp value
     */
    public void setSetFurTemp(String setFurTemp) {
        this.setFurTemp = setFurTemp;
    }

    /**
     * 入炉支数
     * @return value
     */
    public String getInFurNum() {
        return inFurNum;
    }

    /**
     * 入炉支数
     * @param inFurNum value
     */
    public void setInFurNum(String inFurNum) {
        this.inFurNum = inFurNum;
    }

    /**
     * 剔除支数
     * @return value
     */
    public String getScrapNum() {
        return scrapNum;
    }

    /**
     * 剔除支数
     * @param scrapNum value
     */
    public void setScrapNum(String scrapNum) {
        this.scrapNum = scrapNum;
    }

    /**
     * 炉内加一段实际温度
     * @return value
     */
    public String getLheatCruve1() {
        return lheatCruve1;
    }

    /**
     * 炉内加一段实际温度
     * @param lheatCruve1 value
     */
    public void setLheatCruve1(String lheatCruve1) {
        this.lheatCruve1 = lheatCruve1;
    }

    /**
     * 炉内加二段实际温度
     * @return value
     */
    public String getLheatCruve2() {
        return lheatCruve2;
    }

    /**
     * 炉内加二段实际温度
     * @param lheatCruve2 value
     */
    public void setLheatCruve2(String lheatCruve2) {
        this.lheatCruve2 = lheatCruve2;
    }

    /**
     * 炉内加三段实际温度
     * @return value
     */
    public String getLheatCruve3() {
        return lheatCruve3;
    }

    /**
     * 炉内加三段实际温度
     * @param lheatCruve3 value
     */
    public void setLheatCruve3(String lheatCruve3) {
        this.lheatCruve3 = lheatCruve3;
    }

    /**
     * 炉内加四段实际温度
     * @return value
     */
    public String getLheatCruve4() {
        return lheatCruve4;
    }

    /**
     * 炉内加四段实际温度
     * @param lheatCruve4 value
     */
    public void setLheatCruve4(String lheatCruve4) {
        this.lheatCruve4 = lheatCruve4;
    }

    /**
     * 炉内加五段实际温度
     * @return value
     */
    public String getLheatCruve5() {
        return lheatCruve5;
    }

    /**
     * 炉内加五段实际温度
     * @param lheatCruve5 value
     */
    public void setLheatCruve5(String lheatCruve5) {
        this.lheatCruve5 = lheatCruve5;
    }

    /**
     * 炉内加六段实际温度
     * @return value
     */
    public String getLheatCruve6() {
        return lheatCruve6;
    }

    /**
     * 炉内加六段实际温度
     * @param lheatCruve6 value
     */
    public void setLheatCruve6(String lheatCruve6) {
        this.lheatCruve6 = lheatCruve6;
    }

    /**
     * 炉内加七段实际温度
     * @return value
     */
    public String getLheatCruve7() {
        return lheatCruve7;
    }

    /**
     * 炉内加七段实际温度
     * @param lheatCruve7 value
     */
    public void setLheatCruve7(String lheatCruve7) {
        this.lheatCruve7 = lheatCruve7;
    }

    /**
     * 炉内加八段实际温度
     * @return value
     */
    public String getLheatCruve8() {
        return lheatCruve8;
    }

    /**
     * 炉内加八段实际温度
     * @param lheatCruve8 value
     */
    public void setLheatCruve8(String lheatCruve8) {
        this.lheatCruve8 = lheatCruve8;
    }

    /**
     * 荒管实际长度
     * @return value
     */
    public String getActualLengthOfWastePipe() {
        return actualLengthOfWastePipe;
    }

    /**
     * 荒管实际长度
     * @param actualLengthOfWastePipe value
     */
    public void setActualLengthOfWastePipe(String actualLengthOfWastePipe) {
        this.actualLengthOfWastePipe = actualLengthOfWastePipe;
    }

    /**
     * 残氧量
     * @return value
     */
    public String getResidualOxygen() {
        return residualOxygen;
    }

    /**
     * 残氧量
     * @param residualOxygen value
     */
    public void setResidualOxygen(String residualOxygen) {
        this.residualOxygen = residualOxygen;
    }

    /**
     * 炉压
     * @return value
     */
    public String getFurPress() {
        return furPress;
    }

    /**
     * 炉压
     * @param furPress value
     */
    public void setFurPress(String furPress) {
        this.furPress = furPress;
    }

    /**
     * 风压
     * @return value
     */
    public String getWindPress() {
        return windPress;
    }

    /**
     * 风压
     * @param windPress value
     */
    public void setWindPress(String windPress) {
        this.windPress = windPress;
    }

    /**
     * 天然气压力
     * @return value
     */
    public String getGasPress() {
        return gasPress;
    }

    /**
     * 天然气压力
     * @param gasPress value
     */
    public void setGasPress(String gasPress) {
        this.gasPress = gasPress;
    }

    /**
     * 开始时间
     * @return value
     */
    public String getStartTime() {
        return startTime;
    }

    /**
     * 开始时间
     * @param startTime value
     */
    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    /**
     * 结束时间
     * @return value
     */
    public String getEndTime() {
        return endTime;
    }

    /**
     * 结束时间
     * @param endTime value
     */
    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    /**
     * 监制人
     * @return value
     */
    public String getExecutiveProducer() {
        return executiveProducer;
    }

    /**
     * 监制人
     * @param executiveProducer value
     */
    public void setExecutiveProducer(String executiveProducer) {
        this.executiveProducer = executiveProducer;
    }

    /**
     * 监制时间
     * @return value
     */
    public String getProducerTime() {
        return producerTime;
    }

    /**
     * 监制时间
     * @param producerTime value
     */
    public void setProducerTime(String producerTime) {
        this.producerTime = producerTime;
    }

    /**
     * 监制人电话
     * @return value
     */
    public String getProducerTel() {
        return producerTel;
    }

    /**
     * 监制人电话
     * @param producerTel value
     */
    public void setProducerTel(String producerTel) {
        this.producerTel = producerTel;
    }

    /**
     * 结炉标识
     * @return value
     */
    public String getNodeFurFlag() {
        return nodeFurFlag;
    }

    /**
     * 结炉标识
     * @param nodeFurFlag value
     */
    public void setNodeFurFlag(String nodeFurFlag) {
        this.nodeFurFlag = nodeFurFlag;
    }

    /**
     * 备注
     * @return value
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark value
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @return value
     */
    public String getColMode() {
        return colMode;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @param colMode value
     */
    public void setColMode(String colMode) {
        this.colMode = colMode;
    }

    /**
     * 采集/录入时间
     * @return value
     */
    public String getColTime() {
        return colTime;
    }

    /**
     * 采集/录入时间
     * @param colTime value
     */
    public void setColTime(String colTime) {
        this.colTime = colTime;
    }

    /**
     * 操作人
     * @return value
     */
    public String getColUser() {
        return colUser;
    }

    /**
     * 操作人
     * @param colUser value
     */
    public void setColUser(String colUser) {
        this.colUser = colUser;
    }

    /**
     * 操作班次
     * @return value
     */
    public String getColShift() {
        return colShift;
    }

    /**
     * 操作班次
     * @param colShift value
     */
    public void setColShift(String colShift) {
        this.colShift = colShift;
    }

    /**
     * 操作班组
     * @return value
     */
    public String getColGroup() {
        return colGroup;
    }

    /**
     * 操作班组
     * @param colGroup value
     */
    public void setColGroup(String colGroup) {
        this.colGroup = colGroup;
    }

	public String getProPlanId() {
		return proPlanId;
	}

	public void setProPlanId(String proPlanId) {
		this.proPlanId = proPlanId;
	}

	public String getGxPlanNo() {
		return gxPlanNo;
	}

	public void setGxPlanNo(String gxPlanNo) {
		this.gxPlanNo = gxPlanNo;
	}
    
    
}
